curl https://qstash.upstash.io/v2/topics/my-topic \
-H "Authorization: Bearer <token>"
const response = await fetch('https://qstash.upstash.io/v2/topics/my-topic', {
headers: {
'Authorization': 'Bearer <token>'
}
});
import requests
headers = {
'Authorization': 'Bearer <token>',
}
response = requests.get(
'https://qstash.upstash.io/v2/topics/my-topic',
headers=headers
)
req, err := http.NewRequest("GET", "https://qstash.upstash.io/v2/topics/my-topic", nil)
if err != nil {
log.Fatal(err)
}
req.Header.Set("Authorization", "Bearer <token>")
resp, err := http.DefaultClient.Do(req)
if err != nil {
log.Fatal(err)
}
defer resp.Body.Close()
{
"createdAt": 1623345678001,
"updatedAt": 1623345678001,
"name": "my-topic",
"endpoints": [
{
"name": "my-endpoint",
"url": "https://my-endpoint.com"
}
]
}
Topics
Get a topic
Retrieves a topic
GET
/
v2
/
topics
/
{topicName}
curl https://qstash.upstash.io/v2/topics/my-topic \
-H "Authorization: Bearer <token>"
const response = await fetch('https://qstash.upstash.io/v2/topics/my-topic', {
headers: {
'Authorization': 'Bearer <token>'
}
});
import requests
headers = {
'Authorization': 'Bearer <token>',
}
response = requests.get(
'https://qstash.upstash.io/v2/topics/my-topic',
headers=headers
)
req, err := http.NewRequest("GET", "https://qstash.upstash.io/v2/topics/my-topic", nil)
if err != nil {
log.Fatal(err)
}
req.Header.Set("Authorization", "Bearer <token>")
resp, err := http.DefaultClient.Do(req)
if err != nil {
log.Fatal(err)
}
defer resp.Body.Close()
{
"createdAt": 1623345678001,
"updatedAt": 1623345678001,
"name": "my-topic",
"endpoints": [
{
"name": "my-endpoint",
"url": "https://my-endpoint.com"
}
]
}
Request
string
required
The name of the topic to retrieve.
Response
int
required
The creation time of the topic. UnixMilli
int
required
The update time of the topic. UnixMilli
string
required
The name of the topic.
Array
required
curl https://qstash.upstash.io/v2/topics/my-topic \
-H "Authorization: Bearer <token>"
const response = await fetch('https://qstash.upstash.io/v2/topics/my-topic', {
headers: {
'Authorization': 'Bearer <token>'
}
});
import requests
headers = {
'Authorization': 'Bearer <token>',
}
response = requests.get(
'https://qstash.upstash.io/v2/topics/my-topic',
headers=headers
)
req, err := http.NewRequest("GET", "https://qstash.upstash.io/v2/topics/my-topic", nil)
if err != nil {
log.Fatal(err)
}
req.Header.Set("Authorization", "Bearer <token>")
resp, err := http.DefaultClient.Do(req)
if err != nil {
log.Fatal(err)
}
defer resp.Body.Close()
{
"createdAt": 1623345678001,
"updatedAt": 1623345678001,
"name": "my-topic",
"endpoints": [
{
"name": "my-endpoint",
"url": "https://my-endpoint.com"
}
]
}
Was this page helpful?
⌘I